%define upstream_name mbpurple

Name:           purple-microblog
Version:        0.2.4
Release:        1%{?dist}
Summary:        Libpurple plug-in supporting microblog services like Twitter

Group:          Applications/Internet     
License:        GPLv3+
URL:            http://code.google.com/p/microblog-purple/
Source0: http://microblog-purple.googlecode.com/files/%{upstream_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  pidgin-devel >= 2.5, ElectricFence
ExcludeArch:    s390x

%description
The project aims is to develop a set of microblog support in LibPurple base
client like Pidgin. Currently it only support Twitter through the conversation
windows.

Currently the source can be built and run on Windows Vista and Ubuntu 8.04.1.
Other platform with LibPurple should works, but we don't have time (yet) to
test it. 

%prep
%setup -q -n %{upstream_name}-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS"
make LIBDIR=%{_libdir} build

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT LIBDIR=%{_libdir}
chmod 0755 $RPM_BUILD_ROOT%{_libdir}/purple-2/libtwitter.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING README.txt
%{_libdir}/purple-2/*.so
%{_datadir}/pixmaps/pidgin/protocols/*/twitter.png
%{_datadir}/pixmaps/pidgin/protocols/*/identica.png
%{_datadir}/pixmaps/pidgin/protocols/*/laconica.png
%{_datadir}/purple/ca-certs/EquifaxSecureGlobaleBusinessCA.pem

%changelog
* Sat Sep 26 2009 Ismael Olea <ismael@olea.org> - 0.2.4-1
- New upstream release

* Sun Sep 13 2009 Ismael Olea <ismael@olea.org> - 0.2.3-3
- fixing make invocation avoiding call to subversion

* Sat Sep 12 2009 Ismael Olea <ismael@olea.org> - 0.2.3-2
- adding svn building requirement

* Sat Sep 12 2009 Ismael Olea <ismael@olea.org> - 0.2.3-1
- New upstream release 

* Sun Jun 14 2009 Ismael Olea <ismael@olea.org> - 0.2.2-1
- New upstream release fixing #505707 twitpocalypse bug

* Wed Mar 04 2009 Ismael Olea <ismael@olea.org> - 0.2.1-1
- New upstream release.

* Sun Nov 09 2008 Matěj Cepl <mcepl@redhat.com> - 0.2.0-1
- New upstream release.

* Wed Oct 29 2008 Matěj Cepl <mcepl@redhat.com> 0.1.2-2.20081023svn174.fc10
- New checkout from SVN.

* Thu Oct 23 2008 Matěj Cepl <mcepl@redhat.com> 0.1.2-2.20081023svn165
- Rebase to the new SVN checkout
- Remove patches (they were accepted upstream)

* Sat Sep 13 2008 Matěj Cepl <mcepl@redhat.com> 0.1.2-2.20080911svn148
- Updated according to reviewer's comments after approval.

* Sat Sep 13 2008 Matěj Cepl <mcepl@redhat.com> 0.1.2-1.20080911svn148.1
- Fixing package reviewer's comments.

* Thu Sep 11 2008 Matej Cepl <mcepl@redhat.com> 0.1.2-0.20080911svn148
- Initial build.
